打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

MediaWiki:Citizen.css

MediaWiki界面页面
LNNBot留言 | 贡献2024年6月10日 (一) 19:39的版本 (导入1个版本:​从分支站同步更改)

注意:在发布之后,您可能需要清除浏览器缓存才能看到所作出的更改的影响。

  • Firefox或Safari:按住Shift的同时单击刷新,或按Ctrl-F5Ctrl-R(Mac为⌘-R
  • Google Chrome:Ctrl-Shift-R(Mac为⌘-Shift-R
  • Edge:按住Ctrl的同时单击刷新,或按Ctrl-F5
/* 亮色主题下不给 wordmark 图片反色 */
.skin-citizen-light #footer-sitetitle img.mw-logo-wordmark,
.skin-citizen-auto #footer-sitetitle img.mw-logo-wordmark {
	filter: none !important;
}
@media not screen {
	#footer-sitetitle img.mw-logo-wordmark {
		filter: none !important;
	}
}
@media screen and (prefers-color-scheme: dark) {
	.skin-citizen-auto #footer-sitetitle img.mw-logo-wordmark {
		filter: invert(1) hue-rotate(180deg) !important;
	}
}

/* 暗色主题下可以选择给部分内容反色 */
.skin-citizen-dark .lnnblog-invert {
	filter: invert(1) hue-rotate(180deg) !important;
}

/* 更紧凑的 editOptions */
.editOptions {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	padding: 1rem;
	gap: 0.5rem;
}
#wpSummaryLabel {
	width: 100%;
}
#wpSummaryLabel .oo-ui-fieldLayout-body {
	display: flex;
	align-items: center;
}
#wpSummaryLabel .oo-ui-fieldLayout-field {
	flex: 1;
}
#wpSummaryWidget {
	margin-bottom: 0 !important;
}
#editpage-copywarn {
	display: none;
}
#wpSaveWidget,
#wpPreviewWidget,
#wpDiffWidget {
	margin-top: 0;
}
#mw-editform-cancel {
	margin: 0;
}

/* Citizen compatibility fixes */
table {
	display: table;
}
.citizen-table-wrapper:has(>.lnnblog-float),
.citizen-table-wrapper:has(>.lnnblog-infobox){
    display: contents;
}
cite {
	font-style: italic;
}

/* HotCat */
.mw-normal-catlinks {
    font-size: var(--font-size-x-small);
    color: var(--color-base--subtle);
    letter-spacing: .05em;
}
.mw-normal-catlinks>a {
    display: inline;
}